Skip to main content
POST
/
api
/
identity
/
collaborations
Create data collaboration
curl --request POST \
  --url https://console.neuronsearchlab.com/api/identity/collaborations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "partnerTeamId": 123,
  "allowedIdentifierTypes": [],
  "expiresAt": "2023-11-07T05:31:56Z"
}
'
{}

Authorizations

Authorization
string
header
required

Platform API key issued from Console > Platform API Keys. Format: nsl__.

Body

application/json
name
string
required
Maximum string length: 120
partnerTeamId
integer
required
allowedIdentifierTypes
enum<string>[]
Available options:
email_sha256,
phone_sha256
expiresAt
string<date-time> | null

Response

Created collaboration

The response is of type object.